function PF_Search(event, type)
{
    // Create a variable and assign it the value of our document window
    var win = window._content.document;
    
    // Create a few other handy variables
    var URL = "";
    var isEmpty = false;

    // Get a handle to our search terms box
    var searchTermsBox = document.getElementById("PF-SearchTerms");
    
    // Get the value in the search terms box, trimming whitespace as necessary
    var searchTerms = PF_TrimString(searchTermsBox.value);

    // If there are no search terms, than we set isEmpty to true
    // Otherwise, we convert the search terms to a safe URI version
    if(searchTerms.length == 0) { isEmpty = true; }
    else { searchTerms = PF_ConvertTermsToURI(searchTerms); }

    switch(type)
    {
    // Build up the URL for an image search
    case "image":
        if(isEmpty) { URL = "http://go.pblog.ru/"; }
        else        { URL = "http://go.pblog.ru/?cx=008258202848133999761%3Anav5m-gy2ts&oe=windows-1251&cof=FORID%3A11&q=" + searchTerms +"&hl=ru&as_sitesearch=programmersforum.ru"; }
        break;

    // Build up the URL for a web search
    case "web":
    default:
        // Build up the URL that we should visit when we search
        if(isEmpty) { URL = "http://go.pblog.ru/"; }
        else        { URL = "http://go.pblog.ru/?cx=008258202848133999761%3Anav5m-gy2ts&oe=windows-1251&cof=FORID%3A11&q=" + searchTerms; }
  	    break;
    }
	
    
    // Load the URL in the browser window using the PF_LoadURL function
    PF_LoadURL(URL);
}

function PF_TrimString(string)
{
    // Return empty if nothing was passed in
    if (!string) return "";
    
    // Efficiently replace any leading or trailing whitespace
    var value = string.replace(/^\s+/, '');
    value = string.replace(/\s+$/, '');
    
    // Replace any multiple whitespace characters with a single space
    value = value.replace(/\s+/g, ' ');
    
    // Return the altered string
    return value;
}

function PF_ConvertTermsToURI(terms)
{
    // Split up the search terms based on the space character
    var termArray = new Array();
    termArray = terms.split(" ");
    var result = "";

    // Loop through the search terms, building up the result string
    for(var i=0; i<termArray.length; i++)
    {
        if(i > 0) { result += "+"; }
        
        // Call the built-in function encodeURIComponent() to clean up
        // this search term (making it safe for use in a URL)
        result += encodeURIComponent(termArray[i]);
    }

    // Return the result
    return result;
}

function PF_LoadURL(URL)
{
    // Set the document's location to the incoming URL
    window._content.document.location = URL;
    
    // Make sure we get the focus
    window.content.focus();
}

function PF_LoadURL2(URL)
{
    // Set the document's location to the incoming URL
    window._content.document.location = URL + window._content.document.location;
    
    // Make sure we get the focus
    window.content.focus();
}